###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: fence
Version: 1.32.17
Release: 0.ML5.1
License: GPL
Group: System Environment/Base
Summary: fence - The cluster I/O fencing system
BuildRequires: cman-kernheaders ccs-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
ExclusiveArch: %{ix86} x86_64
Source0: %{name}-%{version}.tar.gz
Patch1: fence-1.27-norun.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The cluster I/O fencing system (fence) provides fencing agents which connect
to a variety of network power switch/fibre channel switches/etc. to forcibly
remove unresponsive machines from a cluster.

%prep
%setup -q
%patch1 -p1 -b .norun

%build
./configure --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 32.1/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fenced

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del fenced
fi

%files
%defattr(-,root,root,-)
/sbin/*

%config /etc/rc.d/init.d/fenced 

%{_mandir}/*/*

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.32.10-0.FC5.1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.32.10-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt w/ new upstream sources.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up spec file (bz #157031).

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- Removing perl dependencies from fence to prevent RPM dependency nightmares.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com> 
- build for i386 and x86_64 only

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
